From a631647af6bb8d57e0858fda468e0b9f37bd3929 Mon Sep 17 00:00:00 2001
From: Peter Smith <peter.b.smith@fujitsu.com>
Date: Mon, 17 Feb 2025 07:30:26 +1100
Subject: [PATCH v3] DOCS -improve pg_replication_slots.inactive_since
 description

---
 doc/src/sgml/system-views.sgml | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

diff --git a/doc/src/sgml/system-views.sgml b/doc/src/sgml/system-views.sgml
index be81c2b..ad2903d 100644
--- a/doc/src/sgml/system-views.sgml
+++ b/doc/src/sgml/system-views.sgml
@@ -2568,16 +2568,14 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
         The time when the slot became inactive. <literal>NULL</literal> if the
         slot is currently being streamed. If the slot becomes invalid,
         this value will never be updated.
-        Note that for slots on the standby that are being synced from a
+        For standby slots that are being synced from a
         primary server (whose <structfield>synced</structfield> field is
         <literal>true</literal>), the <structfield>inactive_since</structfield>
         indicates the time when slot synchronization (see <xref
         linkend="logicaldecoding-replication-slots-synchronization"/>)
         was most recently stopped.  <literal>NULL</literal> if the slot
-        has always been synchronized. On standby, this is useful for slots
-        that are being synced from a primary server (whose
-        <structfield>synced</structfield> field is <literal>true</literal>)
-        so they know when the slot stopped being synchronized.
+        has always been synchronized. This helps standby slots track when
+        synchronization was interrupted.
       </para></entry>
      </row>
 
-- 
1.8.3.1

